#!/bin/sh
echo "check the woterm-macosx-x86_64-v9.30.4-202403031942.dmg had been mounted?"
hdiutil info|grep "WoTerm Installer"
if [[ "$?" == "0" ]]; then
   echo "Close and eject WoTerm Installer"
   hdiutil eject "/Volumes/WoTerm Installer"
fi
xattr -d  com.apple.quarantine woterm-macosx-x86_64-v9.30.4-202403031942.dmg
if [[ "$?" == "0" ]]; then
   echo "Success to remove xattr property."
   echo "Now you can install woterm by woterm-macosx-x86_64-v9.30.4-202403031942.dmg"
else
   echo "Failed to remove xattr: com.apple.quarantine"
   echo "But you can try to install woterm"
fi
